Use newer version of react-jsonschema-form which does not use React.PropTypes
authorFrank Bessou <frank.bessou@logilab.fr>
Wed, 10 May 2017 11:20:15 +0200
changeset 202 b7c989c00d57
parent 201 f155ec3bc4b9
child 203 777d97b1e6c1
Use newer version of react-jsonschema-form which does not use React.PropTypes It solve the issue of a warning being printed in browser's console when using React.PropTypes.
package.json
--- a/package.json	Wed May 10 11:18:41 2017 +0200
+++ b/package.json	Wed May 10 11:20:15 2017 +0200
@@ -12,7 +12,7 @@
     "prop-types": "^15.5.8",
     "react": "^15",
     "react-dom": "^15",
-    "react-jsonschema-form": "^0.40.0",
+    "react-jsonschema-form": "^0.48.2",
     "whatwg-fetch": "^0.11.0"
   },
   "devDependencies": {